package ru.amse.pomelov.starbugs.client.gui.tools;

import ru.amse.pomelov.starbugs.turns.AbstractTurn;
import ru.amse.pomelov.starbugs.turns.AttackTurn;
import ru.amse.pomelov.starbugs.util.FieldPosition;

public class AttackTool extends AbstractTool {
	
	public AbstractTurn generateTurn(FieldPosition object, FieldPosition subject) {
		return new AttackTurn(object, subject);
	}

	public boolean needsObject() {
		return false;
	}

	public int timeNeeded() {
		return 0;
	}

}
