package ru.amse.pomelov.starbugs;

import ru.amse.pomelov.starbugs.client.gui.frames.MenuFrame;
import ru.amse.pomelov.starbugs.server.ServerStart;

public class Main {

	private static void usage() {
		System.out.println("Usage: StarBugs <option>" +
			"\nWhere <option> includes:\n  -server\n  -client");
	}
	
	public static void main(String[] args) {
		if (args.length != 1) {
			usage();
		} else if ("-client".equalsIgnoreCase(args[0])) {
			MenuFrame.main(args);
		} else if ("-server".equalsIgnoreCase(args[0])) {
			ServerStart.main(args);
		} else {
			usage();
		}
	}

}
