package ru.amse.pomelov.starbugs.config;

import java.awt.Color;

public class Options {
	private static final int DEFAULT_MAX_TURN_TIME = 20;
	
	public static int maxTurnTime = DEFAULT_MAX_TURN_TIME;

	
	private static final Color[] COLOR_TABLE = new Color[] {
		Color.BLACK,
		Color.BLUE,
		Color.RED,
		Color.GREEN,
		Color.MAGENTA,
		Color.YELLOW,
		Color.ORANGE,
		Color.PINK,
		Color.CYAN
	};

	public static Color getColor(int i) {
		if ((i >= 0) && (i < 9)) {
			return COLOR_TABLE[i]; 
		} else if (i == -1) {
			return Color.GRAY;
		} else {
			return Color.BLACK;
		}
	}
	
	public static final Color BACKGROUND_COLOR = Color.WHITE;

	public static final Color GRID_COLOR = Color.LIGHT_GRAY;
	
	
	
}
