package ru.amse.pomelov.starbugs.remote;

import java.rmi.Remote;
import java.rmi.RemoteException;
import java.util.List;

import ru.amse.pomelov.starbugs.units.AbstractUnit;
import ru.amse.pomelov.starbugs.util.FieldPosition;

public interface RemoteGameServerListener extends Remote {
	public void createUnits(List<AbstractUnit> l) throws RemoteException;
	public void removeUnits(List<FieldPosition> coordsLists) throws RemoteException;
	public void yourTurn(int timeAvailable) throws RemoteException;
	public void playerJoined() throws RemoteException;
	public void gameStarted() throws RemoteException;
	public void endOfGame(int winner) throws RemoteException;
}
