package ru.amse.pomelov.starbugs.turns;

import ru.amse.pomelov.starbugs.server.GameDispatcher;

public class EndOfTurn extends AbstractTurn {
	
	private static final long serialVersionUID = -994039274086716759L;

	public EndOfTurn() {
		super(null, null);
	}

	@Override
	public int acceptTurn(GameDispatcher gd) {
		return 0;
	}

	@Override
	public void makeTurn(GameDispatcher gd) {
		gd.nextPlayer();
	}

}
