package ru.amse.pomelov.starbugs.util;

import java.io.Serializable;

public class UserID implements Serializable {
	private static final long serialVersionUID = 9155923544759995628L;
	
	public final int gameServerID;
	public final int userID;
	public final int playerNum;
	
	public UserID(int gameServerID, int userID, int playerNum) {
		this.gameServerID = gameServerID;
		this.userID = userID;
		this.playerNum = playerNum;
	}

	@Override
	public boolean equals(Object obj) {
		if (!(obj instanceof UserID)) {
			return false;
		}
		UserID o = (UserID) obj;
		
		return ((gameServerID == o.gameServerID)
				&& (userID == o.userID)
				&& (playerNum == playerNum));
	}

	@Override
	public int hashCode() {
		int res = 0;
		res += gameServerID;
		res *= 47;
		res += userID;
		res *= 47;
		res += playerNum;
		return res;		
	}
}
