package ru.amse.pomelov.starbugs.client.gui.tools;

import java.awt.Color;
import java.awt.Graphics;

import ru.amse.pomelov.starbugs.turns.AbstractTurn;
import ru.amse.pomelov.starbugs.util.FieldPosition;

public abstract class AbstractTool {
	public abstract AbstractTurn generateTurn(FieldPosition object, FieldPosition subject);
	public abstract boolean needsObject();
	public abstract int timeNeeded();
	
	public void drawToolTip(Graphics g, int x, int y, int cellSize, int width, int height) {
		if ((x >= 0) && (y >= 0) && (x < width) && (y < height)) {
			g.setColor(Color.DARK_GRAY);
			g.drawRect(x * cellSize, y * cellSize, cellSize, cellSize);
		//	g.drawRect(x * cellSize - 1, y * cellSize - 1, cellSize + 2, cellSize + 2);
		//	g.drawRect(x * cellSize + 1, y * cellSize + 1, cellSize - 2, cellSize - 2);
		}
	}
}
