package ru.amse.pomelov.starbugs.units;

import ru.amse.pomelov.starbugs.config.UnitAttributes;

public enum Edifices {
	BASE_EDIFICE(new boolean[][]{
					{true, true, true, true},
					{true, true, true, true},
					{true, true, true, true},
					{true, true, true, true}
				},
				UnitAttributes.BASE_BUILD_TIME,
				Buildings.BASE),
	BARRACK_EDIFICE(new boolean[][]{
					{ true,  true, false, false},
					{ true,  true, false, false},
					{false, false, false, false},
					{false, false, false, false}
				},
				UnitAttributes.BARRACKS_BUILD_TIME,
				Buildings.BARRACKS),
	ARCHERY_EDIFICE(new boolean[][]{
					{false,  true, false, false},
					{ true,  true,  true, false},
					{false,  true, false, false},
					{false, false, false, false}
				},
				UnitAttributes.ARCHERY_BUILD_TIME,
				Buildings.ARCHERY),
	SMALL_WORKSHOP(new boolean[][]{
					{ true,  true,  true, false},
					{ true,  true,  true, false},
					{false, false, false, false},
					{false, false, false, false}	
				},
				UnitAttributes.SMALL_WORKSHOP_BUILD_TIME,
				Buildings.SMALL_WORKSHOP),
	BIG_WORKSHOP(new boolean[][]{
					{ true,  true,  true, false},
					{ true,  true,  true, false},
					{false,  true, false, false},
					{false, false, false, false}					
				},
				UnitAttributes.BIG_WORKSHOP_BUILD_TIME,
				Buildings.BIG_WORKSHOP),
	SMALL_FACTORY(new boolean[][]{
					{ true,  true,  true, false},
					{ true,  true,  true, false},
					{ true,  true, false, false},
					{false, false, false, false}					
				},
				UnitAttributes.SMALL_FACTORY_BUILD_TIME,
				Buildings.SMALL_FACTORY),
	BIG_FACTORY(new boolean[][]{
					{ true,  true,  true, false},
					{ true,  true,  true, false},
					{ true,  true,  true, false},
					{false, false, false, false}
				},
				UnitAttributes.BIG_FACTORY_BUILD_TIME,
				Buildings.BIG_FACTORY),
				
	LABORATORY(new boolean[][]{
					{ true, false,  true, false},
					{ true,  true,  true, false},
					{ true, false,  true, false},
					{false, false, false, false}			
				},
				UnitAttributes.LABORATORY_BUILD_TIME,
				Buildings.LABORATORY);
		
	
	
	private Edifices(boolean[][] mask, int buildTime, Buildings buildingType) {
		myMask = mask;
		myBuildTime = buildTime;
		myBuildingType = buildingType;
	}
	
	private final boolean[][] myMask;
	private final int myBuildTime;
	private final Buildings myBuildingType;
	
	
	
	public boolean[][] getMask() {
		return myMask;
	}
	public int getBuildTime() {
		return myBuildTime;
	}
	public Buildings getBuildingType() {
		return myBuildingType;
	}
}
